variables:
  TEST_NAME: registry.gitlab.com/iby.rancher/test-project:$CI_COMMIT_REF_NAME 

stages:
  - build
  - run

build_docker_image:
  stage: build
  script:
    - docker login -u idan.benyair -p $runnerPass registry.gitlab.com
#    - echo "$CI_REGISTRY_PASSWORD" | sudo docker login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
    - docker build -t $TEST_NAME .
    - docker push $TEST_NAME
  tags:
    - build

run_docker_image:
  stage: run
  script:
    - docker login -u idan.benyair -p $runnerPass registry.gitlab.com
#    - echo "$CI_REGISTRY_PASSWORD" | sudo docker login -u "$CI_REGISTRY_USER" "$CI_REGISTRY" --password-stdin
    - docker pull $TEST_NAME
    - docker kill $(docker ps -q) || true
    - docker rm $(docker ps -a -q) || true
    - docker run -dt -p 8080:80 --name gitlabCICDContainer $TEST_NAME
  tags:
    - run
